NAME
  CompareM2 (a.k.a. "comparem2") - Genomes to report pipeline

SYNOPSIS
  comparem2 [ --config KEY=VALUE [KEY2=VALUE]... ]
    [ --until RULE [RULE2]... ]
    [ --forcerun RULE [RULE2]... ]
    [ --printshellcmds ]
    [ --dry-run ]
    [ --status ]
    [ --version ]  [ --help ]  [ --cite ]

DESCRIPTION
  Analyses bacterial and archaeal genomes.
  Based on snakemake, so you can use the same command line arguments.
  Please check github.com/cmkobel/comparem2 for updates, help and to track issues.
  Comprehensible documentation is available at comparem2.readthedocs.io/en/latest/
    
OPTIONS
  --config KEY=VALUE [KEY2=VALUE]...
    Pass a parameter to the snakemake pipeline, where the following keys are available, defaults are stated as standard. (Longer explanation in paranthesis.)
        
      - input_genomes="*.fna *.fa *.fasta *.fas" (Path to input genomes. As the default value indicates, all fasta type files in the present directory will be analyzed.)
    
      - fofn="fofn.txt" (Deactivated by default. When set to a path it overrides key input_genomes.)
    
      - output_directory="results_comparem2" (All results are written here.)
    
      - annotator="prokka" (Choice of annotation tool. Alternatively "bakta".)
        
      There are also a series of parameters inside specific tools that can be tweaked directly from the command line interface. Please consult the individual documentation of the relevant tool for more info. Examples of possible values are given in parenthesis:
        - mlst_scheme="automatic"
        - prokka_rfam=true (true or false)
        - prokka_compliant=true (true or false)
        - treecluster_threshold=0.045 (interpreted as float)
        - iqtree_bootstraps=100 (interpreted as int)
            
  --until RULE [RULE2]...
    Select to run up until and including a specific rule in the rule graph. Available rules:
    abricate annotate antismash assembly_stats bakta checkm2 copy dbcan eggnog fasttree gapseq gapseq_find gtdbtk interproscan iqtree kegg_pathway mashtree mlst prokka sequence_lengths snp_dists treecluster antismash_download bakta_download checkm2_download dbcan_download eggnog_download gtdb_download panaroo
        
    There are also a number of pseudo rules, effectively "shortcuts" to a list of rules.
      - downloads   (Run rules that download and setup up necessary databases.)
      - fast        (Only rules that complete within a few seconds. Useful for testing.)
      - isolate     (Only rules that are relevant for genomes of isolate origin.)
      - meta        (Only rules that are relevant for genomes "MAGs" of metagenomic origin.)
      - report      (Re-renders the report.)
          
  --forcerun RULE [RULE2]...
    Force rerunning of one or more rules that already have been completed. This is generally necessary when changing running parameters in the config (see "--config" above).
    
  --downloads
    Download all databases without performing any analyses.
    
  --printshellcmds, -p
    Print the full generated shell commands of each rule in the workflow. 
    
  --dry-run
    Run a "dry run": Shows what will run without doing it.

  --version, -v 
    Show current version.

  --status
    Print the state of completion of the rules in the pipeline of the current working directory. The percentage of completed files are shown.
    
  --help, -h
    Show this help and exit.
        
ENVIRONMENT VARIABLES
  No environment variables are strictly necessary to set, but the following might be useful:
    - COMPAREM2_PROFILE (default "profile/apptainer/local") specifies which of the Snakemake profiles to use. This can be useful for running CompareM2 on a HPC or using specific settings on a large workstation. Check out the bundled profiles in path profile/* (possibly in $CONDA_PREFIX/comparem2/profile/*).
    
    - COMPAREM2_DATABASES (default "databases/") specifies a database location. Useful when sharing a database installation between various users on the same workstation or HPC.
  
OUTPUT
  Creates a directory named "results_comparem2/" (or what the output_directory parameter is set to) that contains all of the analysis results that are computed.

        
EXAMPLES
  - Run all analyses with specified input genomes.
    comparem2 --config input_genomes="path/to/genomes_*.fna"

  - Use a "fofn" - a file of file names. 
    comparem2 --config fofn="my_fofn.txt"

  - Use custom output dir. (default is "results_comparem2")
    comparem2 --config input_genomes="path/to/genomes_*.fna" output_directory="my_analysis"

  - Run a "dry run".
    comparem2 --config input_genomes="path/to/genomes_*.fna" --dry-run

  - Specify annotator. (default is "prokka")
    comparem2 --config input_genomes="path/to/genomes_*.fna" annotator="bakta"

  - Run only the "fast" rules.
    comparem2 --config input_genomes="path/to/genomes_*.fna" annotator="bakta" --until fast

  - Run panaroo as well.
    comparem2 --config input_genomes="path/to/genomes_*.fna" annotator="bakta" --until fast panaroo

LICENSE:
  CompareM2 "comparem2" genomes to report pipeline. Copyright (C) 2019-2024 Carl M. Kobel and contributors GNU GPL v3 
